Subject: FIFO tinytalk

From: Superuser <[email-masked]>
Date: Fri, 9 Apr 1993 08:12:09 -0700

I've recently compiled the FIFO tinytalk, and had some problems...

First of all, I'm on a SCO UNIX 3.2.4 system with no networking.  There
were some local changes I had to make, such as getting the defines for
<sys/time.h> from elsewhere (as they are not here), and there was a
problem with TIOCGWINSZ not being defined; I had to delete the #ifdefs
for this to get tinytalk to compile at all (even using GCC2.3.3).  I also
had to change <strings.h> to <string.h>.

After I got things compiled and installed, I tried calling tinytalk with
the proper arguments (all permissions of the MOO et al are correct).  If
I tried this as a non-privileged user, I got the following message:

$ tinytalk ./client 777
% Opening server FIFO: Permission denied
% Couldn't connect to initial world.

However, if I did this as root, it would simply pause, with no output, and
freeze.  Then, when I went to press <DEL> to get out, it corrupted the
client program, every time:

# file client
client:		data

Whereas it was:

# file client
client:	    iAPX 386 executable

This cannot be right.  

I wonder if there might be a way to combine the routines and functionality
of client_sysv.c into tinytalk.  It would seem more feasible to do it
that way, rather than have 2 programs involved, IMHO.

So, in short, I haven't gotten it to work yet.  If anyone else might have
clues as to what needs to be done to correct this, I would appreciate the
help.  Thanks.

Forrest